
var toDos = [
    "Finish writing",
    "Take Gracie",
    "Get Groceries"
];

var main = function () {
    $(".tabs a span").toArray().forEach(function (element) {
        var $element = $(element); // convert back to jQuery object

        // create a click handler for this element
        $element.on("click", function () {
            var $content,
                    $input,
                    $button,
                    i;

            $(".tabs a span").removeClass("active");
            $element.addClass("active");
            $("main .content").empty();

            if ($element.parent().is(":nth-child(1)")) {
                console.log("in newest");
                // newest first, so we have to go through
                // the array backwards
                $content = $("<ul>");
                for (i = toDos.length - 1; i >= 0; i--) {
                    $content.append($("<li>").text(toDos[i]));
                }
            } else if ($element.parent().is(":nth-child(2)")) {
                console.log("in oldest");
                // oldest first, so we go through the array forwards
                $content = $("<ul>");
                toDos.forEach(function (todo) {
                    $content.append($("<li>").text(todo));
                });
            } else if ($element.parent().is(":nth-child(3)")) {
                console.log("in add");
                // input a new to-do
                $input = $("<input>"), $input2 = $("<input>"),
                $button = $("<button>").text("+");

                $button.on("click", function () {
                    if ($input.val() !== "") {
                        toDos.push($input.val());
                        $input.val("");                  
                    }
                });

                $content = $("<div>").append($input).append($button);
                /* Alternatively append() allows multiple arguments so the above
                 can be done with $content = $("<div>").append($input, $button); */
            }
           
            $("main .content").append($content);
            return false;
        });
    });
    $(".tabs a:first-child span").trigger("click");
};

$(document).ready(main);
